## emacs-llama 0.6.2

=== Makefile ===
-include .config.mk

PKG = llama

ELS   = $(PKG).el
ELS  += $(PKG)-test.el
ELCS  = $(ELS:.el=.elc)

$(PKG).elc:
$(PKG)-test.elc: $(PKG).elc

DEPS  = compat

EMACS      ?= emacs
EMACS_ARGS ?= --eval "(progn \
  (put 'if-let 'byte-obsolete-info nil) \
  (put 'when-let 'byte-obsolete-info nil))"

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make redo         - re-generate byte-code and autoloads)
	$(info make test         - run tests)
	$(info make clean        - remove generated files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

test: lisp
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	-l ert -l $(PKG)-test.el -f ert-run-tests-batch-and-exit

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

## emacs-llama 0.6.0

=== debian/changelog ===
emacs-llama (0.6.0-2) unstable; urgency=medium

  * Source-only upload
  * Add d/salsa-ci.yml with the default template

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 12 Feb 2025 23:35:06 -0800

emacs-llama (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #1095199)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 04 Feb 2025 23:54:49 -0800

=== debian/control ===
Source: emacs-llama
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 elpa-compat (>= 30.0.2.0),
Standards-Version: 4.7.0
Homepage: https://github.com/tarsius/llama
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-llama
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Enhances:
 emacs,
Description: Compact syntax for short lambda
 This package implements a macro named `##', which provides a compact way
 to write short `lambda' expressions.
 .
 The signature of the macro is (## FN &rest BODY) and it expands to a
 `lambda' expression, which calls the function FN with the arguments BODY
 and returns the value of that.  The arguments of the `lambda' expression
 are derived from symbols found in BODY.

## emacs-llama 0.6.2

=== debian/changelog ===
emacs-llama (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 22:00:09 -0700

emacs-llama (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 11:17:20 -0800

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/tarsius/llama/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## emacs-llama 1.0.0

=== debian/changelog ===
emacs-llama (1.0.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 10 Jul 2025 02:26:16 -0700

## emacs-llama 1.0.1

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 PKG = llama
 
 ELS   = $(PKG).el
-ELS  += $(PKG)-test.el
+ELS  += $(PKG)-tests.el
 ELCS  = $(ELS:.el=.elc)
 
 $(PKG).elc:
-$(PKG)-test.elc: $(PKG).elc
+$(PKG)-tests.elc: $(PKG).elc
 
 DEPS  = compat
 
@@ -46,7 +46,7 @@
 
 test: lisp
 	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	-l ert -l $(PKG)-test.el -f ert-run-tests-batch-and-exit
+	-l ert -l $(PKG)-tests.el -f ert-run-tests-batch-and-exit
 
 CLEAN  = $(ELCS) $(PKG)-autoloads.el

=== debian/changelog ===
emacs-llama (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 05 Sep 2025 21:34:13 -0700

emacs-llama (1.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 23:05:45 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-elpa,
  elpa-compat (>= 30.0.2.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tarsius/llama
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git

=== debian/watch ===
Version: 5

Template: Github
Owner: tarsius
Project: llama

## emacs-llama 1.0.2

=== Makefile ===
-include .config.mk

PKG = llama

ELS   = $(PKG).el
ELS  += $(PKG)-tests.el
ELCS  = $(ELS:.el=.elc)

$(PKG).elc:
$(PKG)-tests.elc: $(PKG).elc

DEPS  = compat

EMACS      ?= emacs
EMACS_ARGS ?= --eval "(progn \
  (put 'if-let 'byte-obsolete-info nil) \
  (put 'when-let 'byte-obsolete-info nil))"

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all      -- Build lisp)
	$(info make lisp     -- Build lisp)
	$(info make redo     -- Build lisp from scratch)
	$(info make test     -- Run tests)
	$(info make clean    -- Remove built files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

test: lisp
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	-l ert -l $(PKG)-tests.el -f ert-run-tests-batch-and-exit

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
emacs-llama (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 14 Nov 2025 01:12:53 -0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 
 Package: elpa-llama
 Architecture: all

## emacs-llama 1.0.3

=== Makefile ===
--- 
+++ 
@@ -11,13 +11,16 @@
 
 DEPS  = compat
 
-EMACS      ?= emacs
+
+LOAD_PATH ?= $(addprefix -L ../,$(DEPS))
+LOAD_PATH += -L .
+
+EMACS       ?= emacs
 EMACS_ARGS ?= --eval "(progn \
   (put 'if-let 'byte-obsolete-info nil) \
   (put 'when-let 'byte-obsolete-info nil))"
-
-LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
-LOAD_PATH  += -L .
+EMACS_Q_ARG ?= -Q
+EMACS_BATCH ?= $(EMACS) $(EMACS_Q_ARG) --batch $(EMACS_ARGS) $(LOAD_PATH)
 
 all: lisp
 
@@ -37,12 +40,11 @@
 
 %.elc: %.el
 	@printf "Compiling $<\n"
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<
+	@$(EMACS_BATCH) --funcall batch-byte-compile $<
 
 check-declare:
 	@printf " Checking function declarations\n"
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	--eval "(check-declare-directory default-directory)"
+	@$(EMACS_BATCH) --eval "(check-declare-directory default-directory)"
 
 test: lisp
 	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
@@ -56,7 +58,7 @@
 
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"
-	@$(EMACS) -Q --batch -l autoload --eval "\
+	@$(EMACS_BATCH) --load autoload --eval "\
 (let* ((file (expand-file-name \"$@\"))\
        (generated-autoload-file file)\
        (coding-system-for-write 'utf-8-emacs-unix)\

=== debian/changelog ===
emacs-llama (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 06 Jan 2026 17:05:34 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: emacs-llama
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Xiyue Deng <manphiz@gmail.com>,
@@ -8,7 +7,7 @@
  debhelper-compat (= 13),
  dh-elpa,
  elpa-compat (>= 30.0.2.0),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tarsius/llama
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
